﻿<Graph ClassName="SOOrderEntryButton" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using PX.Common;
using PX.Data;
using PX.Objects.AP;
using PX.Objects.AR;
using PX.Objects.CA;
using PX.Objects.CM;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.DR;
using PX.Objects.EP;
using PX.Objects.GL;
using PX.Objects.IN;
using PX.Objects.PM;
using PX.Objects.PO;
using PX.Objects.TX;
using POLine = PX.Objects.PO.POLine;
using POOrder = PX.Objects.PO.POOrder;
using System.Threading.Tasks;
using PX.CarrierService;
using CRLocation = PX.Objects.CR.Standalone.Location;
using PX.Objects.AR.CCPaymentProcessing;
using PX.Objects.AR.CCPaymentProcessing.Common;
using PX.Objects.AR.CCPaymentProcessing.Helpers;
using PX.Objects.AR.CCPaymentProcessing.Interfaces;
using ARRegisterAlias = PX.Objects.AR.Standalone.ARRegisterAlias;
using PX.Objects.AR.MigrationMode;
using PX.Objects.Common;
using PX.Objects.Common.Discount;
using PX.Objects.Common.Extensions;
using PX.Objects.IN.Overrides.INDocumentRelease;
using PX.CS.Contracts.Interfaces;
using Message = PX.CarrierService.Message;
using PX.TaxProvider;
using PX.Data.DependencyInjection;
using PX.LicensePolicy;
using PX.Objects.Extensions.PaymentTransaction;
using PX.Objects.SO.GraphExtensions.CarrierRates;
using PX.Objects.SO.Attributes;
using PX.Objects.Common.Bql;
using PX.Objects;
using PX.Objects.SO;

namespace PX.Objects.SO
{
  public class SOOrderEntryButton_Extension : PXGraphExtension<SOOrderEntry>
  {
    #region Event Handlers
    #endregion
    protected void SOOrder_RowSelected(PXCache cache, PXRowSelectedEventArgs e)
    {
      
      var row = (SOOrder)e.Row;

      if(row == null)
        return;
      this.Quotation.SetEnabled(true);
    }
      
  public override void Initialize()
   {
      Base.report.AddMenuAction(Quotation);
   }
      
    public PXAction<SOOrder> Quotation;
   [PXUIField(DisplayName = "Print Quotation")]
   [PXButton]
   protected virtual void quotation()
   {
        Dictionary<string, string> pay = new Dictionary<string, string>();
        SOOrder doc = Base.Document.Current;

        pay["OrderType"] = doc.OrderType;
        pay["RefNbr"] = doc.OrderNbr;
        
        throw new PXReportRequiredException(pay, "RCLSQ000", null);
    }
  }
}]]></CDATA>
</Graph>